/**
Copyright (c) 2012, DRAX <drax@drax.biz>
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The views and conclusions contained in the software and documentation are those
of the authors and should not be interpreted as representing official policies,
either expressed or implied, of the FreeBSD Project.
*/

// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Window
{
	function initialize()
	{
		return true
	}

	function getStateName()
	{
		return "Ask quit"
	}

	TextDefault {
		id: infoText
		x: 321
		y: 188
		text: qsTr("Do you really want to quit?")
		font.bold: true
		font.pointSize: 25
		anchors.horizontalCenter: parent.horizontalCenter
		anchors.verticalCenter: parent.verticalCenter
	}

	Button {
		id: yesButton
		y: 410
		text: qsTr("Yes")

		doAnimations: parent.doAnimations
		smooth: parent.smooth

		anchors.bottom: parent.bottom
		anchors.bottomMargin: 20
		anchors.left: parent.left
		anchors.leftMargin: 20
		mouseArea.onReleased: Qt.quit()
	}

	Button {
		id: noButton
		x: 580
		y: 410
		text: qsTr("No")

		doAnimations: parent.doAnimations
		smooth: parent.smooth

		anchors.bottom: parent.bottom
		anchors.bottomMargin: 20
		anchors.right: parent.right
		anchors.rightMargin: 20
		mouseArea.onReleased: setState(-1)
	}

}
